# sctpenc

Encodes packets with SCTP

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──sctpenc

## Factory details

Authors: – George Kiagiadakis

Classification: – `Encoder/Network/SCTP`

Rank – none

Plugin – sctp

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink_%u`

    ANY

Presence – request

Direction – sink

Object type – GstPad

### `src`

    application/x-sctp:

Presence – always

Direction – src

Object type – GstPad

## Signals

### sctp-association-established

    sctp_association_established_callback (GstElement * param_0,
                                           gboolean arg0,
                                           gpointer udata)

    def sctp_association_established_callback (param_0, arg0, udata):
        #python callback for the 'sctp-association-established' signal

    function sctp_association_established_callback(param_0: GstElement * param_0, arg0: gboolean arg0, udata: gpointer udata): {
        // javascript callback for the 'sctp-association-established' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`udata` –
No description available

Flags: Run Last

## Action Signals

### bytes-sent

    g_signal_emit_by_name (param_0, "bytes-sent", arg0, &ret);

    ret = param_0.emit ("bytes-sent", arg0)

    let ret = param_0.emit ("bytes-sent", arg0);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (guint) –
No description available
Returns (guint64) –
No description available

Flags: Run Last / Action

## Properties

### remote-sctp-port

    “remote-sctp-port” guint

Sctp remote sctp port for the sctp association. The local port is configured via the GstSctpDec element.

Flags : Read / Write

Default value : 0

### sctp-association-id

    “sctp-association-id” guint

Every encoder/decoder pair should have the same, unique, sctp-association-id. This value must be set before any pads are requested.

Flags : Read / Write

Default value : 1

### use-sock-stream

    “use-sock-stream” gboolean

When set to TRUE, a sequenced, reliable, connection-based connection is used.When TRUE the partial reliability parameters of the channel are ignored.

Flags : Read / Write

Default value : false

The results of the search are